卜部です。

r20345はほんとうにこれでいいんですかねえ? 落ちはしないだけで意味不明な感じにな
りそうなんですが...

MOROHASHI Kyosuke さんは書きました:
> 諸橋です。
> いつもお世話になっております。
> 
> http://github.com/shyouhei/ruby
> 
> から取得したRubyの 、remotes/origin/ruby_1_8_7 ブランチをビルドして
> loggerを require するとNoMethodErrorが発生します。
> 
> 原因は、Logger::ProgName を設定する際にの csv/svn の $Id$ のキーワード
> 展開への依存だと思うのですが、これは、1.9ブランチと1.8ブランチでは
> すでに修正されているようです。
> 
> これを1.8.7ブランチへバックポートしていただけないでしょうか?
> 
> 1.9ブランチへの修正
>   http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=20290
> 
> 1.8ブランチへの修正
>   http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=20345
> 
> とはいえ、1.8ブランチへの修正は、他の変更と一緒になってしまっているので
> そのままでは取り込めないようにも思います。
> どうすべきか、ご判断をお願いします。
> 
> ちなみに、私自身がやりたいこと自体は、下記でうかがったString#inspectの
> 修正を含む、Ruby 1.8.7が欲しいというモノです。
> 
> http://redmine.ruby-lang.org/issues/show/2569
> 
> 自分でcherry-pickして使おうとしたところ、今回の問題に当たりました。
> 
>